import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { ConsolidatedItemsPosition } from "./ConsolidatedItemsPosition";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { SeriesVisibleRangeMode } from "./SeriesVisibleRangeMode";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { Type, Point } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Rect } from "igniteui-react-core";
import { CategoryFrame } from "./CategoryFrame";
import { Pool$1 } from "igniteui-react-core";
import { Rectangle } from "igniteui-react-core";
import { CategorySeriesView } from "./CategorySeriesView";
import { List$1 } from "igniteui-react-core";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ColumnSeries extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected bc(): Series;
    protected get_ee(): boolean;
    protected get_ez(): boolean;
    protected iq(): number;
    protected cd(): SeriesView;
    zg: ColumnSeriesView;
    o2(a: SeriesView): void;
    cj(): SeriesVisibleRangeMode;
    protected vy(): CategoryTransitionInMode;
    constructor();
    zk: number;
    zl: number;
    protected get_dv(): boolean;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    private zm;
    tu(a: Point): Rect;
    f5(a: Point, b: boolean): boolean;
    nk(a: boolean, b: SeriesView): void;
    h1(): number;
    w7(a: CategoryFrame, b: CategorySeriesView): void;
    private zh;
    get zi(): ConsolidatedItemsPosition;
    set zi(a: ConsolidatedItemsPosition);
    private zj;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ColumnSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    au(): void;
    protected dd: ColumnSeries;
    constructor(a: ColumnSeries);
    dl(): Rectangle;
    protected df: List$1<Rectangle>;
    dg(a: Rectangle): void;
    di(a: Rectangle): void;
    dh(a: Rectangle): void;
    dj(a: Rectangle, b: number, c: number): void;
    protected ac(a: number): any;
    private dk;
    protected ab(a: number): any;
    protected a8(a: RenderingContext, b: boolean): void;
    de: Pool$1<Rectangle>;
    an(a: any): void;
}
